## coq-serapi 8.19.0+0.19.3

=== Makefile ===
.PHONY: clean all serlib sertop sercomp force js-dist js-release build build-install test doc

# Leave empty to use OPAM-installed Coq
SERAPI_COQ_HOME ?=
# SERAPI_COQ_HOME=/home/egallego/external/coq-master/_build/install/default/lib/

ifneq ($SERAPI_COQ_HOME,)
  export OCAMLPATH := $(SERAPI_COQ_HOME):$(OCAMLPATH)
  SP_PKGS=coq-serapi
else
  SP_PKGS=coq-serapi
endif

all: build

GITDEPS=$(ls .git/HEAD .git/index)
sertop/ser_version.ml: $(GITDEPS)
	echo "let ser_git_version = \"$(shell git describe --tags || cat VERSION)\";;" > $@

build:
	dune build --root . --only-packages=$(SP_PKGS) @install

check:
	dune build --root . @check

build-install:
	dune build coq-serapi.install

# build is required as otherwise the serlib plugins won't be in scope
# for testing; we should really add the package dep to dune test files
test: build
	dune runtest --root .

doc:
	dune build @doc-private @doc

browser:
	google-chrome _build/default/_doc/_html/index.html

sertop: build
	dune exec -- rlwrap sertop

#####################################################
# Misc

clean:
	rm -f sertop/ser_version.ml
	dune clean

demo-sync:
	rsync -avzp --delete js/ /home/egallego/x80/rhino-hawk/
	cp /home/egallego/x80/rhino-hawk/term.html /home/egallego/x80/rhino-hawk/index.html

=== debian/changelog ===
coq-serapi (8.19.0+0.19.3-2) unstable; urgency=medium

  * Made the -ocaml-dev package depend on the -ocaml one.
  * Add sertop/sertop.el to d/copyright.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 16 May 2024 14:54:04 +0200

coq-serapi (8.19.0+0.19.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1011648)

 -- Julien Puydt <jpuydt@debian.org>  Thu, 02 May 2024 21:57:08 +0200

=== debian/control ===
Source: coq-serapi
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               help2man,
               libcmdliner-ocaml-dev,
               libcoq-core-ocaml-dev,
               libcoq-stdlib,
               libppx-deriving-ocaml-dev,
               libppx-deriving-yojson-ocaml-dev,
               libppx-hash-ocaml-dev,
               libppx-import-ocaml-dev,
               libppx-sexp-conv-ocaml-dev,
               libppxlib-ocaml-dev,
               libsexplib-ocaml-dev,
               libyojson-ocaml-dev,
               ocaml-dune,
               ocaml-findlib
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-serapi
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-serapi.git
Homepage: https://github.com/ejgallego/coq-serapi

Package: libcoq-serapi-ocaml
Architecture: any
Depends: libcoq-ocaml, ${misc:Depends}, ${ocaml-Depends}
Provides: ${ocaml:Provides}
Description: interaction with Coq (runtime)
 SerAPI provides a library for machine-to-machine
 interaction with Coq with particular emphasis on
 integrated development environments, code analysis tools
 and machine learning.
 .
 Coq is a proof assistant for higher-order logic.
 .
 This package provides runtime libraries for the serapi plugin.

Package: libcoq-serapi-ocaml-dev
Architecture: any
Depends: coq-${F:CoqABI},
         libcoq-ocaml,
         libcoq-serapi-ocaml (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: interaction with Coq (devel)
 SerAPI provides a library for machine-to-machine
 interaction with Coq with particular emphasis on
 integrated development environments, code analysis tools
 and machine learning.
 .
 Coq is a proof assistant for higher-order logic.
 .
 This package provides libraries needed to develop
 for the serapi plugin.

Package: coq-serapi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: interaction with Coq (utils)
 SerAPI provides a library for machine-to-machine
 interaction with Coq with particular emphasis on
 integrated development environments, code analysis tools
 and machine learning.
 .
 Coq is a proof assistant for higher-order logic.
 .
 This package provides utilities to work with the serapi
 plugin.

=== debian/watch ===
version=4
https://github.com/ejgallego/coq-serapi/tags .*/([\d\.]+\+[\d\.]+).tar.gz

## coq-serapi 8.20.0+0.20.0

=== Makefile ===
--- 
+++ 
@@ -40,6 +40,23 @@
 sertop: build
 	dune exec -- rlwrap sertop
 
+vendor/coq-lsp:
+	$(error Submodules not initialized, please do "make submodules-init")
+
+.PHONY: submodules-init
+submodules-init:
+	git submodule update --init
+
+# Deinitialize submodules
+.PHONY: submodules-deinit
+submodules-deinit:
+	git submodule deinit -f --all
+
+# Update submodules from upstream
+.PHONY: submodules-update
+submodules-update:
+	(cd vendor/coq-lsp && git checkout main && git pull upstream main)
+
 #####################################################
 # Misc

=== debian/changelog ===
coq-serapi (8.20.0+0.20.0-1build3) plucky; urgency=medium

  * No-change rebuild for coq ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2025 21:04:37 +0100

coq-serapi (8.20.0+0.20.0-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 21:45:30 +0100

coq-serapi (8.20.0+0.20.0-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 22:45:58 +0100

coq-serapi (8.20.0+0.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Nov 2024 10:47:58 +0100

coq-serapi (8.19.0+0.19.3-4) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2024 08:40:29 +0200

coq-serapi (8.19.0+0.19.3-3) unstable; urgency=medium

  * Fix compilation with recent yojson (Closes: #1073269).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 18 Jun 2024 10:49:29 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk
include /usr/share/coq/coqvars.mk

export COQTOP := $(COQ_STDLIB_DIR)
export COQLIB := $(COQ_STDLIB_DIR)
export COQBIN := /usr/bin

%:
	dh $@ --with ocaml

override_dh_auto_build:
	$(MAKE) build

override_dh_auto_install:
	dune install --destdir=$(CURDIR)/debian/tmp --prefix=/usr --libdir=$(OCAML_STDLIB_DIR)
	for executable in sercomp sername sertok sertop; do \
		TERM=dumb help2man $(CURDIR)/debian/tmp/usr/bin/$$executable > $(CURDIR)/debian/$$executable.1 ; \
	done
	find debian/tmp -name LICENSE -delete
	find debian/tmp -regextype posix-awk \
	  -regex '.*\.(cma|cmxs|v|vo|vos|glob)$$' \
	  >> debian/libcoq-serapi-ocaml.install
	find debian/tmp -regextype posix-awk \
	  -regex '.*\.(a|cmi|cmo|cmt|cmti|cmx|cmxa|ml|mli|o])$$' \
	  >> debian/libcoq-serapi-ocaml-dev.install

override_dh_gencontrol:
	dh_gencontrol -- -VF:CoqABI="$(COQ_ABI)"
